scrub-obsolete Package - kde-gtk-config

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/kde-gtk-config scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index a861275..c7d55cc 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+kde-gtk-config (4:5.19.5-4) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on extra-cmake-modules,
+      pkg-kde-tools.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Sat, 14 Nov 2020 21:17:08 -0000
+
 kde-gtk-config (4:5.19.5-3) unstable; urgency=medium
 
   [ Scarlett Moore ]
diff --git a/debian/control b/debian/control
index 2a15a38..df1093b 100644
--- a/debian/control
+++ b/debian/control
@@ -8,7 +8,7 @@ Uploaders: Boris Pek <tehnick@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.10~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 0.0.9),
+               extra-cmake-modules,
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
@@ -26,7 +26,7 @@ Build-Depends: cmake (>= 3.10~),
                libqt5svg5-dev,
                libx11-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.15.16),
+               pkg-kde-tools,
                qtbase5-dev,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git

Run locally

Try this locally (using the lintian-brush package):

debcheckout kde-gtk-config
cd kde-gtk-config
deb-scrub-obsolete

More details

Full run details